<?php

use EventPortal\Domain\Field\Models\Field;
use EventPortal\Domain\Permission\Models\Permission;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Permission::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'guard_name' => $faker->word,
        'slug' => $faker->domainWord,
    ];
});

$factory->state(Permission::class, 'default', function (): array {
    return [
        'name' => 'Default',
        'slug' => 'default',
    ];
});
